# $Revision: 1.13 $, $Date: 2012/01/28 18:59:19 $
Summary:	Photo Print - Prints photos in various layouts and with color management
Name:		photoprint
Version:	0.4.1b
Release:	1
License:	GPL
Group:		X11/Applications/Publishing
Source0:	http://www.blackfiveimaging.co.uk/photoprint/%{name}-%{version}.tar.gz
# Source0-md5:	9db16efdccbecbcd0110aa67e21938ee
Patch0:		%{name}-stdio.patch
URL:		http://blackfiveimaging.co.uk/index.php?article=02Software%2F01PhotoPrint
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	lcms-devel
BuildRequires:	libgutenprint-devel
BuildRequires:	libtiff-devel
BuildRequires:	netpbm-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Photo Print is a utility for printing images via Gutenprint (a
rebranding of Gimp-Print for the latest version).

It supports different printing layouts, as one picture per page,
several pictures (scaled to equal size) per page, a poster of one
picture put together of several sheets, or several pictures combined
to one round picture for a CD back.

%prep
%setup -q
%patch0 -p1

%build
# Do not do any compiler optimizations, they break the program - MDK note
#CFLAGS='' CXXFLAGS='' ./configure --program-prefix= --prefix=%{_prefix} --exec-prefix=%{_prefix} --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} --libexecdir=%{_libdir} --localstatedir=/var/lib --sharedstatedir=%{_prefix}/com --mandir=%{_mandir} --infodir=%{_infodir} --x-includes=%{_prefix}/X11R6/include --x-libraries=%{_prefix}/X11R6/lib
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/photoprint/{borders,ProfilingKit} \
	$RPM_BUILD_ROOT{%{_iconsdir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install man page
install photoprint.1 $RPM_BUILD_ROOT%{_mandir}/man1

# install menu icon
mv $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/fotoprint.png $RPM_BUILD_ROOT%{_iconsdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README COPYING NEWS TODO
%attr(755,root,root) %{_bindir}/*
%{_iconsdir}/*.png
%{_desktopdir}/*.desktop
%{_mandir}/man*/*
%{_datadir}/photoprint

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: photoprint.spec,v $
Revision 1.13  2012/01/28 18:59:19  arekm
- up to 0.4.1b

Revision 1.12  2012/01/13 14:50:25  arekm
- release 5

Revision 1.11  2011/02/06 16:50:40  sparky
- unified %clean section

Revision 1.10  2010/01/29 19:52:58  sparky
- BR: gettext-devel, gtk+2-devel, libtiff-devel, netpbm-devel, pkgconfig

Revision 1.9  2010/01/29 08:03:20  amateja
- release 4

Revision 1.8  2009/08/08 17:20:05  blues
- rel.3 - stdio patch

Revision 1.7  2009/08/08 15:13:43  blues
- new homepage (with new releases), doesn't build

Revision 1.6  2009/07/12 13:27:50  arekm
- release 2

Revision 1.5  2009/01/15 14:11:25  duddits
- up to 0.3.9

Revision 1.4  2008/08/29 08:00:44  glen
- cosmetics

Revision 1.3  2008/08/28 22:56:25  blues
- rel.1

Revision 1.2  2008/08/28 21:55:52  blues
- adapterized, some parts to separate spec

Revision 1.1  2008/08/28 21:28:22  blues
- raw from MDK
